window.addEventListener('load', function() {
	var async = unitJS.Async();
	var cache = unitJS.Cache();
	var dom = unitJS.Dom();
	var fun = unitJS.Fun();
	var md = new Remarkable(remarkableConfig);
	md.block.ruler.enable(['footnote']);
	var template = Template();
	var metadata = Metadata({async: async, cache: cache, dom: dom, fun:fun, template: template});
	var domRenderer = DomRenderer({dom: dom, fun: fun, md: md, metadata: metadata, template: template});
	var navigation = Navigation({async: async, cache: cache, dom: dom, domRenderer: domRenderer, fun: fun, md: md});
	domRenderer.replaceMarkdown();
	navigation.hijackLinks();
});
